Index: branches/2017/dev_r7881_ENHANCE09_RK3/NEMOGCM/CONFIG/SHARED/field_def_nemo-lim.xml
===================================================================
--- branches/2017/dev_r7881_ENHANCE09_RK3/NEMOGCM/CONFIG/SHARED/field_def_nemo-lim.xml	(revision 8586)
+++ branches/2017/dev_r7881_ENHANCE09_RK3/NEMOGCM/CONFIG/SHARED/field_def_nemo-lim.xml	(revision 8637)
@@ -4,5 +4,5 @@
     <!-- 
 ============================================================================================================
-=                                  definition of all existing variables                                    =
+=                                  definition of all existing ESIM variables                                    =
 =                                            DO NOT CHANGE                                                 =
 ============================================================================================================
@@ -132,5 +132,5 @@
          <field id="icevmp"       long_name="melt pond volume"                                             standard_name="sea_ice_meltpond_volume"                            unit="m"            /> 
 
-         <field id="iceconc_cat"  long_name="Sea-ice area fractions in thickness categories"               unit=""   grid_ref="grid_T_3D_ncatice" />
+         <field id="iceconc_cat"  long_name="Sea-ice concentration in thickness categories"                unit=""   grid_ref="grid_T_3D_ncatice" />
          <field id="icethic_cat"  long_name="Sea-ice thickness in thickness categories"                    unit="m"  grid_ref="grid_T_3D_ncatice" />
          <field id="snowthic_cat" long_name="Snow thickness in thickness categories"                       unit="m"  grid_ref="grid_T_3D_ncatice" />
@@ -140,6 +140,8 @@
          <field id="icetemp_cat"  long_name="Ice temperature for categories"                               unit="degC"   grid_ref="grid_T_3D_ncatice" />
          <field id="snwtemp_cat"  long_name="Snow temperature for categories"                              unit="degC"   grid_ref="grid_T_3D_ncatice" />
-         <field id="iceamp_cat"   long_name="Ice melt pond fraction for categories"                        unit="%"      grid_ref="grid_T_3D_ncatice" /> 
+         <field id="iceamp_cat"   long_name="Ice melt pond concentration for categories"                   unit="%"      grid_ref="grid_T_3D_ncatice" /> 
          <field id="icevmp_cat"   long_name="Ice melt pond volume for categories"                          unit="m"      grid_ref="grid_T_3D_ncatice" /> 
+         <field id="icehmp_cat"   long_name="Ice melt pond thickness for categories"                       unit="m"      grid_ref="grid_T_3D_ncatice" /> 
+         <field id="iceafp_cat"   long_name="Ice melt pond fraction for categories"                        unit="m"      grid_ref="grid_T_3D_ncatice" /> 
 
          <field id="micet"        long_name="Mean ice temperature"                                         unit="degC"     />
@@ -186,4 +188,5 @@
          <field id="vfxspr"       long_name="snw precipitation on ice"                                     unit="kg/m2/s"   />
          <field id="vfxthin"      long_name="thermo ice prod. for thin ice(20cm) + open water"             unit="kg/m2/s"   />
+         <field id="vfxpnd"       long_name="melt pond water flux to ocean"                                unit="kg/m2/s"   />
 
          <field id="afxtot"       long_name="area tendency (total)"                                        unit="s-1"   />
Index: branches/2017/dev_r7881_ENHANCE09_RK3/NEMOGCM/CONFIG/SHARED/field_def_nemo-opa.xml
===================================================================
--- branches/2017/dev_r7881_ENHANCE09_RK3/NEMOGCM/CONFIG/SHARED/field_def_nemo-opa.xml	(revision 8586)
+++ branches/2017/dev_r7881_ENHANCE09_RK3/NEMOGCM/CONFIG/SHARED/field_def_nemo-opa.xml	(revision 8637)
@@ -298,7 +298,8 @@
          <field id="uoces"        long_name="ocean transport along i-axis times salinity (CRS)"                                                  unit="1e-3*m/s"   grid_ref="grid_U_3D" />
 
-         <!-- u-eddy coefficients (ldftra) -->
+         <!-- u-eddy diffusivity coefficients (available if ln_traldf_NONE=F) -->
          <field id="ahtu_2d"      long_name=" surface u-eddy diffusivity coefficient"   unit="m2/s or m4/s" />
          <field id="ahtu_3d"      long_name=" 3D u-EIV coefficient"                     unit="m2/s or m4/s"      grid_ref="grid_U_3D"/>
+         <!-- v-eiv diffusivity coefficients (available if ln_ldfeiv=F) -->
          <field id="aeiu_2d"      long_name=" surface u-EIV coefficient"                unit="m2/s" />
          <field id="aeiu_3d"      long_name=" 3D u-EIV coefficient"                     unit="m2/s"              grid_ref="grid_U_3D"/>
@@ -307,9 +308,10 @@
          <field id="psiu_mle"     long_name="MLE streamfunction along i-axis"   unit="m3/s"   grid_ref="grid_U_3D" />
 
-         <!-- uoce_eiv: available EIV -->
+         <!-- uoce_eiv: available EIV (ln_ldfeiv=T and ln_ldfeiv_dia=T) -->
          <field id="uoce_eiv"     long_name="EIV ocean current along i-axis"   standard_name="bolus_sea_water_x_velocity"   unit="m/s"   grid_ref="grid_U_3D" />
 
-         <!-- uoce_eiv: available with key_trabbl -->
+         <!-- uoce_bbl: available with ln_trabbl=T and nn_bbl_adv=1 -->
          <field id="uoce_bbl"     long_name="BBL ocean current along i-axis"    unit="m/s"  />
+         <!-- ahu_bbl : available with ln_trabbl=T and nn_bbl_ldf=1 -->
          <field id="ahu_bbl"      long_name="BBL diffusive flux along i-axis"   unit="m3/s" />
 
@@ -346,18 +348,20 @@
          <field id="voces"        long_name="ocean transport along j-axis times salinity (CRS)"                                                  unit="1e-3*m/s"   grid_ref="grid_V_3D" />
 
-         <!-- v-eddy coefficients (ldftra, ldfdyn) -->
+         <!-- v-eddy diffusivity coefficients (available if ln_traldf_NONE=F) -->
          <field id="ahtv_2d"      long_name=" surface v-eddy diffusivity coefficient"     unit="m2/s or (m4/s)^1/2" />
          <field id="ahtv_3d"      long_name=" 3D v-eddy diffusivity coefficient"          unit="m2/s or (m4/s)^1/2"           grid_ref="grid_V_3D"/>
+         <!-- v-eiv diffusivity coefficients (available if ln_ldfeiv=F) -->
          <field id="aeiv_2d"      long_name=" surface v-EIV coefficient"                  unit="m2/s" />
          <field id="aeiv_3d"      long_name=" 3D v-EIV coefficient"                       unit="m2/s"                         grid_ref="grid_V_3D" />
 
-         <!-- variables available with MLE -->
+         <!-- variables available with MLE (ln_mle=T) -->
          <field id="psiv_mle"     long_name="MLE streamfunction along j-axis"   unit="m3/s"   grid_ref="grid_V_3D" />
 
-         <!-- voce_eiv: available with EIV -->
+         <!-- voce_eiv: available EIV (ln_ldfeiv=T and ln_ldfeiv_dia=T)  -->
          <field id="voce_eiv"     long_name="EIV ocean current along j-axis"   standard_name="bolus_sea_water_y_velocity"   unit="m/s"   grid_ref="grid_V_3D" />
 
-         <!-- voce_eiv: available with key_trabbl -->
+         <!-- voce_bbl: available with ln_trabbl=T and nn_bbl_adv=1 -->
          <field id="voce_bbl"     long_name="BBL ocean current along j-axis"    unit="m/s"  />
+         <!-- ahu_bbl : available with ln_trabbl=T and nn_bbl_ldf=1 -->
          <field id="ahv_bbl"      long_name="BBL diffusive flux along j-axis"   unit="m3/s" />
 
@@ -386,5 +390,5 @@
          <field id="wocetr_eff"   long_name="effective ocean vertical transport"                                               unit="m3/s" />
 
-         <!-- woce_eiv: available with EIV -->
+         <!-- woce_eiv: available with EIV  (ln_ldfeiv=T and ln_ldfeiv_dia=T)  -->
          <field id="woce_eiv"     long_name="EIV ocean vertical velocity"   standard_name="bolus_upward_sea_water_velocity"   unit="m/s" />
 
@@ -393,5 +397,5 @@
          <field id="avm"          long_name="vertical eddy viscosity"     standard_name="ocean_vertical_momentum_diffusivity"   unit="m2/s" />
 
-         <!-- avs: available with key_zdfddm -->
+         <!-- avs: /= avt with ln_zdfddm=T -->
          <field id="avs"          long_name="salt vertical eddy diffusivity"   standard_name="ocean_vertical_salt_diffusivity"   unit="m2/s" />
          <field id="logavs"       long_name="logarithm of salt vertical eddy diffusivity"   standard_name="ocean_vertical_heat_diffusivity"       unit="m2/s" />
@@ -401,13 +405,10 @@
          <field id="avm_evd"      long_name="convective enhancement of vertical viscosity"     standard_name="ocean_vertical_momentum_diffusivity_due_to_convection"   unit="m2/s" />
 
-         <!-- avt_tide: available with key_zdftmx -->
-         <field id="av_tide"      long_name="tidal vertical diffusivity"   standard_name="ocean_vertical_tracer_diffusivity_due_to_tides"   unit="m2/s" />
-
-         <!-- variables available with key_zdftmx_new -->
-         <field id="av_ratio"     long_name="S over T diffusivity ratio"            standard_name="salinity_over_temperature_diffusivity_ratio"                     unit="1"    />
-         <field id="av_wave"      long_name="wave-induced vertical diffusivity"     standard_name="ocean_vertical_tracer_diffusivity_due_to_internal_waves"         unit="m2/s" />
-         <field id="bflx_tmx"     long_name="wave-induced buoyancy flux"            standard_name="buoyancy_flux_due_to_internal_waves"                             unit="W/kg" />
-         <field id="pcmap_tmx"    long_name="power consumed by wave-driven mixing"  standard_name="vertically_integrated_power_consumption_by_wave_driven_mixing"   unit="W/m2"      grid_ref="grid_W_2D" />
-         <field id="emix_tmx"     long_name="power density available for mixing"    standard_name="power_available_for_mixing_from_breaking_internal_waves"         unit="W/kg" />
+         <!-- avt_tide: available with ln_zdfiwm=T -->
+         <field id="av_ratio"     long_name="S over T diffusivity ratio"                     standard_name="salinity_over_temperature_diffusivity_ratio"                     unit="1"    />
+         <field id="av_wave"      long_name="internal wave-induced vertical diffusivity"     standard_name="ocean_vertical_tracer_diffusivity_due_to_internal_waves"         unit="m2/s" />
+         <field id="bflx_tmx"     long_name="internal wave-induced buoyancy flux"            standard_name="buoyancy_flux_due_to_internal_waves"                             unit="W/kg" />
+         <field id="pcmap_tmx"    long_name="power consumed by wave-driven mixing"           standard_name="vertically_integrated_power_consumption_by_wave_driven_mixing"   unit="W/m2"      grid_ref="grid_W_2D" />
+         <field id="emix_tmx"     long_name="power density available for mixing"             standard_name="power_available_for_mixing_from_breaking_internal_waves"         unit="W/kg" />
 
          <!-- variables available with diaar5 -->   
@@ -614,6 +615,6 @@
        <field id="ttrd_ad_e3t"       unit="degC/s * m" >  ttrd_ad  * e3t </field>
        <field id="strd_ad_e3t"       unit="1e-3/s * m" >  strd_ad  * e3t </field>
-       <field id="ttrd_totad_e3t"    unit="degC/s * m" >  ttrd_totad  * e3t </field>
-       <field id="strd_totad_e3t"    unit="1e-3/s * m" >  strd_totad  * e3t </field>
+       <field id="ttrd_totad_e3t"    unit="degC/s * m" >  ttrd_totad * e3t </field>
+       <field id="strd_totad_e3t"    unit="1e-3/s * m" >  strd_totad * e3t </field>
        <field id="ttrd_ldf_e3t"      unit="degC/s * m" >  ttrd_ldf * e3t </field>
        <field id="strd_ldf_e3t"      unit="1e-3/s * m" >  strd_ldf * e3t </field>
@@ -624,6 +625,6 @@
 
        <!-- ln_traldf_iso=T only (iso-neutral diffusion) -->
-       <field id="ttrd_iso_e3t"      unit="degC/s * m"  >  ttrd_iso * e3t </field>
-       <field id="strd_iso_e3t"      unit="1e-3/s * m"  >  strd_iso * e3t </field>
+       <field id="ttrd_iso_e3t"      unit="degC/s * m"  >  ttrd_iso  * e3t </field>
+       <field id="strd_iso_e3t"      unit="1e-3/s * m"  >  strd_iso  * e3t </field>
        <field id="ttrd_zdfp_e3t"     unit="degC/s * m"  >  ttrd_zdfp * e3t </field>
        <field id="strd_zdfp_e3t"     unit="1e-3/s * m"  >  strd_zdfp * e3t </field>
@@ -669,9 +670,15 @@
        <field id="KE"            long_name="kinetic energy: u(n)*u(n+1)/2"                    unit="W/s^2"                        />   
 
+      <!-- variables available when explicit lateral mixing is used (ln_dynldf_NONE=F) -->
+      <field id="dispkexyfo"    long_name="KE-trend: lateral  mixing induced dissipation"   standard_name="ocean_kinetic_energy_dissipation_per_unit_area_due_to_xy_friction"                   unit="W/m^2" grid_ref="grid_T_2D" />   
+      <field id="dispkevfo"     long_name="KE-trend: vertical mixing induced dissipation"   standard_name="ocean_kinetic_energy_dissipation_per_unit_area_due_to_vertical_friction"             unit="W/m^2" grid_ref="grid_T_2D" />   
+      <!-- variables available with ln_traadv_eiv=T and ln_diaeiv=T -->
+      <field id="eketrd_eiv"    long_name="EKE-trend due to parameterized eddy advection"   standard_name="tendency_of_ocean_eddy_kinetic_energy_content_due_to_parameterized_eddy_advection"   unit="W/m^2" grid_ref="grid_T_2D" />   
+
        <!-- variables available with ln_PE_trd -->
        <field id="petrd_xad"     long_name="pe-trend: i-advection"                unit="W/m^3"                        />
        <field id="petrd_yad"     long_name="pe-trend: j-advection"                unit="W/m^3"                        />
        <field id="petrd_zad"     long_name="pe-trend: k-advection"                unit="W/m^3"                        />
-       <field id="petrd_sad"     long_name="pe-trend: surface adv. (linssh true)"      unit="W/m^3"   grid_ref="grid_T_2D" />
+       <field id="petrd_sad"     long_name="pe-trend: surface adv. (linssh true)" unit="W/m^3"   grid_ref="grid_T_2D" />
        <field id="petrd_ldf"     long_name="pe-trend: lateral  diffusion"         unit="W/m^3"                        />
        <field id="petrd_zdf"     long_name="pe-trend: vertical diffusion"         unit="W/m^3"                        />
Index: branches/2017/dev_r7881_ENHANCE09_RK3/NEMOGCM/CONFIG/SHARED/namelist_ice_lim2_ref
===================================================================
--- branches/2017/dev_r7881_ENHANCE09_RK3/NEMOGCM/CONFIG/SHARED/namelist_ice_lim2_ref	(revision 8586)
+++ 	(revision )
@@ -1,131 +1,0 @@
-!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!! NEMO/LIM-2 : 1 - dynamics/advection/thermo          (namicerun)
-!! namelists    2 - ice intialisation                  (namiceini)
-!!              3 - ice dynamic                        (namicedyn)
-!!              4 - ice advection                      (namicetrp)
-!!              5 - thermodynamic                      (namicethd)
-!!              6 - ice damping                        (namice_dmp)
-!!              7 - ice diagnostics                    (namicedia)
-!!              8 - ice outputs                        (namiceout)
-!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-
-!-----------------------------------------------------------------------
-&namicerun     !   Share parameters for dynamics/advection/thermo
-!-----------------------------------------------------------------------
-   cn_icerst_in  = "restart_ice_in"   !  suffix of ice restart name (input)
-   cn_icerst_indir = "."              !  directory from which to read input ice restarts
-   cn_icerst_out = "restart_ice"      !  suffix of ice restart name (output)
-   cn_icerst_outdir = "."             !  directory in which to write output ice restarts
-   ln_limdyn     = .true.             !  ice dynamics (T) or thermodynamics only (F)
-   ln_limdmp     = .false.            !  restoring ice thickness and fraction leads   (T => fill  namice_dmp)
-   acrit         = 1.0e-06 , 1.0e-06  !  minimum lead fraction in the Northern & Southern Hemispheres
-   hsndif        =  0.e0              !  computation of temperature in snow (=0.0) or not
-   hicdif        =  0.e0              !  computation of temperature in ice  (=0.0) or not (=9999.0)
-/
-!-----------------------------------------------------------------------
-&namiceini     !   ice initialisation
-!-----------------------------------------------------------------------
-   ln_limini   = .false.   !  read the initial state in 'Ice_initialization.nc' (T) or not (F)
-   ttest       =  2.0      !  threshold water temperature for initial sea ice
-   hninn       =  0.5      !  initial snow thickness in the north
-   hginn       =  3.0      !  initial ice  thickness in the north
-   alinn       =  0.05     !  initial leads area     in the north
-   hnins       =  0.1      !  same  three parameter  in the south
-   hgins       =  1.0      !        "                 "     south   
-   alins       =  0.1      !        "                 "     south
-/
-!-----------------------------------------------------------------------
-&namicedyn     !   ice dynamic
-!-----------------------------------------------------------------------
-   epsd        =   1.0e-20 !  tolerance parameter
-   alpha       =   0.5     !  coefficient for semi-implicit coriolis
-   dm          =   0.6e+03 !  diffusion constant for dynamics
-   nbiter      =   1       !  number of sub-time steps for relaxation
-   nbitdr      = 100       !  maximum number of iterations for relaxation
-   om          =   0.5     !  relaxation constant 
-   resl        =   5.0e-05 !  maximum value for the residual of relaxation
-   cw          =   5.0e-03 !  drag coefficient for oceanic stress
-   angvg       =   0.0     !  turning angle for oceanic stress
-   pstar       =   1.0e+04 !  1st bulk-rheology parameter
-   c_rhg       =  20.0     !  2nd bulk-rhelogy parameter
-   etamn       =   0.0e+07 !  minimun value for viscosity
-   rn_creepl   =   1.0e-08 !  creep limit
-   rn_ecc      =   2.0     !  eccentricity of the elliptical yield curve
-   ahi0        = 350.e0    !  horizontal eddy diffusivity coefficient for sea-ice [m2/s]
-   nn_nevp     =   120     !  number of EVP subcycling iterations
-   telast      =   9600    !  timescale for EVP elastic waves
-   alphaevp    =   1.0     !  coefficient for the solution of EVP int. stresses
-/
-!-----------------------------------------------------------------------
-&namicetrp     !   ice transport
-!-----------------------------------------------------------------------
-   bound       =   0.0     !  boundary conditions (=0. no-slip, =1. free-slip)
-/
-!-----------------------------------------------------------------------
-&namicethd     !   ice thermodynamic
-!-----------------------------------------------------------------------
-   hmelt       = -0.15     !  maximum melting at the bottom
-   hiccrit     = 0.3 , 0.3 !  ice thickness for lateral accretion in the Northern (Southern) Hemisphere
-   !                       !  (caution 1.0, 1.0 best value to be used!!! (gilles G.))
-   hicmin      = 0.2       !  ice thickness corr. to max. energy stored in brine pocket
-   hiclim      = 0.05      !  minimum ice thickness
-   amax        = 0.999     !  maximum lead fraction
-   swiqst      = 1.        !  energy stored in brine pocket (=1) or not (=0)	
-   sbeta       = 1.        !  numerical caracteritic of the scheme for diffusion in ice
-                           !        Cranck-Nicholson (=0.5), implicit (=1), explicit (=0)
-   parlat      = 0.0       !  percentage of energy used for lateral ablation
-   hakspl      = 0.5       !  slope of distr. for Hakkinen-Mellor's lateral melting
-   hibspl      = 0.5       !  slope of distribution for Hibler's lateral melting
-   exld        = 2.0       !  exponent for leads-closure rate
-   hakdif      = 1.0       !  coefficient for diffusions of ice and snow
-   thth        = 0.2       !  threshold thickness for comp. of eq. thermal conductivity
-   hnzst       = 0.1       !  thickness of the surf. layer in temp. computation
-   parsub      = 1.0       !  switch for snow sublimation or not
-   alphs       = 1.0       !  coefficient for snow density when snow ice formation
-/
-!-----------------------------------------------------------------------
-&namice_dmp    !   damping of sea ice alone open boundaries
-!              !   (hard coded damping area: check if it fit your config)
-!-----------------------------------------------------------------------
-!              !  file name     ! frequency (hours) ! variable ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
-!              !                !  (if <0  months)  !   name   !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  ! filename      !
-   sn_hicif    = 'ice_damping'  ,  -1.              , 'hicif'  ,   .true.     , .true. , 'yearly'  , ''       , ''       ,    ''
-   sn_frld     = 'ice_damping'  ,  -1.              , 'frld'   ,   .true.     , .true. , 'yearly'  , ''       , ''       ,    ''
-!
-   cn_dir      = './'      !  root directory for the location of the runoff files
-/
-!-----------------------------------------------------------------------
-&namicedia     !   ice diagnostics
-!-----------------------------------------------------------------------
-   fmtinf      = '1PE13.5' !  format of the output values
-   nfrinf      =  4        !  number of variables written in one line
-   ntmoy       =  1        !  instantaneous values of ice evolution or averaging
-   ninfo       =  1        !  frequency of ouputs on file ice_evolu in case of averaging
-/
-!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
-&namiceout     !   parameters for outputs
-!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-!              !         title of the field           !  name     !   units   !  save  ! multipl. ! additive !
-!              !                                      !           !           ! or not !  factor  !  factor  !
-   field_1     = 'Snow thickness                     ', 'isnowthi', 'm       ',    1   ,  1.0     ,    0.0
-   field_2     = 'Ice thickness                      ', 'iicethic', 'm       ',    1   ,  1.0     ,    0.0
-   field_3     = 'Ice produced                       ', 'iiceprod', 'm/kt    ',    1   ,  1.0     ,    0.0
-   field_4     = 'Ice concentration                  ', 'ileadfra', '%       ',    1   , -1.0     ,    1.0
-   field_5     = 'Ice temperature                    ', 'iicetemp', 'C       ',    1   ,  1.0     , -273.15
-   field_6     = 'Oceanic flux at the ice base       ', 'ioceflxb', 'w/m2    ',    1   ,  1.0     ,    0.0
-   field_7     = 'Ice velocity u                     ', 'iicevelu', 'm/s     ',    1   ,  1.0     ,    0.0
-   field_8     = 'Ice velocity v                     ', 'iicevelv', 'm/s     ',    1   ,  1.0     ,    0.0
-   field_9     = 'Sea surface temperature            ', 'isstempe', 'C       ',    1   ,  1.0     , -273.15
-   field_10    = 'Sea surface salinity               ', 'isssalin', 'PSU     ',    1   ,  1.0     ,    0.0
-   field_11    = 'Total flux at ocean surface        ', 'iocetflx', 'w/m2    ',    1   ,  1.0     ,    0.0
-   field_12    = 'Solar flux at ocean surface        ', 'iocesflx', 'w/m2    ',    1   ,  1.0     ,    0.0
-   field_13    = 'Non-solar flux at ocean surface    ', 'iocwnsfl', 'w/m2    ',    1   ,  1.0     ,    0.0
-   field_14    = 'Salt flux at ocean surface         ', 'iocesafl', 'kg/m2/kt',    1   ,  1.0     ,    0.0
-   field_15    = 'Wind stress u                      ', 'iocestru', 'Pa      ',    1   ,  1.0     ,    0.0
-   field_16    = 'Wind stress v                      ', 'iocestrv', 'Pa      ',    1   ,  1.0     ,    0.0 
-   field_17    = 'Solar flux at ice/ocean surface    ', 'iicesflx', 'w/m2    ',    1   ,  1.0     ,    0.0
-   field_18    = 'Non-solar flux at ice/ocean surface', 'iicenflx', 'w/m2    ',    1   ,  1.0     ,    0.0
-   field_19    = 'Snow precipitation                 ', 'isnowpre', 'kg/day  ',    1   ,  1.0     ,    0.0
-!
-   noumef      =   19      !  number of fields
-/      
Index: branches/2017/dev_r7881_ENHANCE09_RK3/NEMOGCM/CONFIG/SHARED/namelist_ice_lim3_ref
===================================================================
--- branches/2017/dev_r7881_ENHANCE09_RK3/NEMOGCM/CONFIG/SHARED/namelist_ice_lim3_ref	(revision 8586)
+++ branches/2017/dev_r7881_ENHANCE09_RK3/NEMOGCM/CONFIG/SHARED/namelist_ice_lim3_ref	(revision 8637)
@@ -13,5 +13,5 @@
 !!             11 - Ice growth in open water           (namthd_do)
 !!             12 - Ice salinity                       (namthd_sal)
-!!             13 - Ice melt ponds                     (nammp)
+!!             13 - Ice melt ponds                     (namthd_pnd)
 !!             14 - Ice initialization                 (namini)
 !!             15 - Ice/snow albedos                   (namalb)
@@ -20,5 +20,5 @@
 !
 !------------------------------------------------------------------------------
-&nampar     !   Generic parameters
+&nampar         !   Generic parameters
 !------------------------------------------------------------------------------
    jpl              =   5             !  number of ice  categories
@@ -39,5 +39,5 @@
 /
 !------------------------------------------------------------------------------
-&namitd     !   Ice discretization
+&namitd         !   Ice discretization
 !------------------------------------------------------------------------------
    rn_himean        =   2.0           !  expected domain-average ice thickness (m)
@@ -45,5 +45,5 @@
 /
 !------------------------------------------------------------------------------
-&namdyn     !   Ice dynamics
+&namdyn         !   Ice dynamics
 !------------------------------------------------------------------------------
    ln_dynFULL       = .true.          !  dyn.: full ice dynamics               (rheology + advection + ridging/rafting + correction)
@@ -120,15 +120,15 @@
 /
 !------------------------------------------------------------------------------
-&namthd     !   Ice thermodynamics
+&namthd         !   Ice thermodynamics
 !------------------------------------------------------------------------------
    ln_icedH         = .true.          !  activate ice thickness change from growing/melting (T) or not (F)
    ln_icedA         = .true.          !  activate lateral melting param. (T) or not (F)
    ln_icedO         = .true.          !  activate ice growth in open-water (T) or not (F)
-   ln_icedS         = .true.          !  activate gravity drainage and flushing (T) or not (F)
+   ln_icedS         = .true.          !  activate brine drainage (T) or not (F)
 /
 !------------------------------------------------------------------------------
 &namthd_zdf     !   Ice heat diffusion
 !------------------------------------------------------------------------------
-   ln_zdf_Beer      = .true.          !  Heat diffusion follows a Beer law
+   ln_zdf_BL99      = .true.          !  Heat diffusion follows Bitz and Lipscomb 1999
    ln_cndi_U64      = .false.         !  sea ice thermal conductivity: k = k0 + beta.S/T            (Untersteiner, 1964)
    ln_cndi_P07      = .true.          !  sea ice thermal conductivity: k = k0 + beta1.S/T - beta2.T (Pringle et al., 2007)
@@ -150,5 +150,5 @@
 /
 !------------------------------------------------------------------------------
-&namthd_do     !   Ice growth in open water
+&namthd_do      !   Ice growth in open water
 !------------------------------------------------------------------------------
    rn_hinew         =   0.1           !  thickness for new ice formation in open water (m), must be larger than rn_hnewice
@@ -174,15 +174,15 @@
 /
 !------------------------------------------------------------------------------
-&nammp      !   Melt ponds
-!------------------------------------------------------------------------------
-   ln_pnd           = .false.         !  active melt ponds
-   ln_pnd_rad       = .false.         !  active melt ponds radiative coupling
-   ln_pnd_fw        = .false.         !  active melt ponds freshwater coupling
-   nn_pnd_scheme    =   0             !  type of melt pond scheme  : =0 prescribed ( Tsu=0 ), =1 empirical, =2 topographic
-   rn_apnd          =   0.2           !  prescribed pond fraction, at Tsu=0  : (0<rn_apnd<1, nn_pnd_scheme = 0)
-   rn_hpnd          =   0.05          !  prescribed pond depth, at Tsu=0     : (0<rn_apnd<1, nn_pnd_scheme = 0)
-/
-!------------------------------------------------------------------------------
-&namini     !   Ice initialization
+&namthd_pnd     !   Melt ponds
+!------------------------------------------------------------------------------
+   ln_pnd_H12       = .false.         !  activate evolutive melt ponds (from Holland et al 2012)
+      ln_pnd_fwb    = .false.         !     melt ponds store freshwater or not
+   ln_pnd_CST       = .false.         !  activate constant melt ponds
+      rn_apnd       =   0.2           !     prescribed pond fraction, at Tsu=0
+      rn_hpnd       =   0.05          !     prescribed pond depth, at Tsu=0
+   ln_pnd_alb       = .false.         !  melt ponds affect albedo or not
+/
+!------------------------------------------------------------------------------
+&namini         !   Ice initialization
 !------------------------------------------------------------------------------
    ln_iceini        = .true.          !  activate ice initialization (T) or not (F)
@@ -209,22 +209,15 @@
 /
 !------------------------------------------------------------------------------
-&namalb     !   albedo parameters
-!------------------------------------------------------------------------------
-   nn_ice_alb       =    1            !  parameterization of ice/snow albedo
-      !                               !  =0 : Shine & Henderson-Sellers (JGR 1985), giving clear-sky albedo
-      !                               !  =1 : "home made" based on Brandt et al. (JClim 2005) and
-      !                               !        Grenfell & Perovich (JGR 2004), giving cloud-sky albedo
-      !                               !  =2 : as 1 with melt ponds
-      !                               !
-      !                               !  recommanded values depending on the param chosen:
-      !                               !             nn_ice_alb   !   =0   ! = 1 or 2 !  obs range (cloud-sky) !
-      rn_alb_sdry      =   0.85       !  dry snow albedo         :  0.80  !   0.85   !  0.85 -- 0.87 
-      rn_alb_smlt      =   0.75       !  melting snow albedo     :  0.65  !   0.75   !  0.72 -- 0.82 
-      rn_alb_idry      =   0.60       !  dry ice albedo          :  0.72  !   0.60   !  0.54 -- 0.65 
-      rn_alb_imlt      =   0.50       !  bare puddled ice albedo :  0.53  !   0.50   !  0.49 -- 0.58 
-      rn_alb_dpnd      =   0.27       !  ponded ice albedo       :  0.25  !   0.27   !  0.10 -- 0.30 
-/
-!------------------------------------------------------------------------------
-&namdia     !   Diagnostics
+&namalb         !   albedo parameters
+!------------------------------------------------------------------------------
+   !                                  !                          !  obs range (cloud-sky)
+   rn_alb_sdry      =   0.85          !  dry snow albedo         :  0.85 -- 0.87
+   rn_alb_smlt      =   0.75          !  melting snow albedo     :  0.72 -- 0.82
+   rn_alb_idry      =   0.60          !  dry ice albedo          :  0.54 -- 0.65
+   rn_alb_imlt      =   0.50          !  bare puddled ice albedo :  0.49 -- 0.58
+   rn_alb_dpnd      =   0.27          !  ponded ice albedo       :  0.10 -- 0.30 
+/
+!------------------------------------------------------------------------------
+&namdia         !   Diagnostics
 !------------------------------------------------------------------------------
    ln_icediachk     = .false.         !  check online the heat, mass & salt budgets (T) or not (F)
Index: branches/2017/dev_r7881_ENHANCE09_RK3/NEMOGCM/CONFIG/SHARED/namelist_ref
===================================================================
--- branches/2017/dev_r7881_ENHANCE09_RK3/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 8586)
+++ branches/2017/dev_r7881_ENHANCE09_RK3/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 8637)
@@ -195,4 +195,5 @@
                            !  =1 use observed ice-cover      ,
                            !  =2 or 3 automatically for LIM3 or CICE    ("key_lim3" or "key_cice")
+                           !          except in AGRIF zoom where it has to be specified
    ln_ice_embd = .false.   !  =T embedded sea-ice (pressure + mass and salt exchanges)
                            !  =F levitating ice (no pressure, mass and salt exchanges)
@@ -257,5 +258,6 @@
    rn_vfac     = 0.        !  multiplicative factor for ocean & ice velocity used to
    !                       !  calculate the wind stress (0.=absolute or 1.=relative winds)
-   ln_Cd_L12   = .false.   !  air-ice and ocean-ice drags = F(ice concentration) (Lupkes et al. JGR 2012)
+   ln_Cd_L12   = .false.   !  air-ice drags = F(ice concentration) (Lupkes et al. 2012)
+   ln_Cd_L15   = .false.   !  air-ice drags = F(ice concentration) (Lupkes et al. 2015)
 /
 !-----------------------------------------------------------------------
@@ -312,5 +314,5 @@
    sn_frq      = 'sas_grid_T',     120           , 'frq_m'   ,   .true.    , .true. , 'yearly'  ,    ''    ,    ''    ,    ''
 
-   l_sasread   = .true.    !  =T Read the above fields in a file, =F initialize to 0. in sbcssm.F90 if .FALSE.
+   l_sasread   = .true.    !  =T Read the above fields in a file, =F initialize to 0. in sbcssm.F90
    ln_3d_uve   = .true.    !  specify whether we are supplying a 3D u,v and e3 field
    ln_read_frq = .false.   !  specify whether we must read frq or not
@@ -768,5 +770,5 @@
 !
 !-----------------------------------------------------------------------
-&nam_vvl    !   vertical coordinate options                             (default: z-star)
+&nam_vvl       !   vertical coordinate options                             (default: z-star)
 !-----------------------------------------------------------------------
    ln_vvl_zstar  = .true.           !  z-star vertical coordinate
@@ -775,8 +777,8 @@
    ln_vvl_ztilde_as_zstar = .false. !  ztilde vertical coordinate emulating zstar
    ln_vvl_zstar_at_eqtor  = .false. !  ztilde near the equator
-   rn_ahe3       =  0.0e0           !  thickness diffusion coefficient
-   rn_rst_e3t    = 30.0e0           !  ztilde to zstar restoration timescale [days]
-   rn_lf_cutoff  =  5.0e0           !  cutoff frequency for low-pass filter  [days]
-   rn_zdef_max   =  0.9e0           !  maximum fractional e3t deformation
+   rn_ahe3       =  0.0             !  thickness diffusion coefficient
+   rn_rst_e3t    = 30.0             !  ztilde to zstar restoration timescale [days]
+   rn_lf_cutoff  =  5.0             !  cutoff frequency for low-pass filter  [days]
+   rn_zdef_max   =  0.9             !  maximum fractional e3t deformation
    ln_vvl_dbg    = .true.           !  debug prints    (T/F)
 /